Subject: Re: bug#22402: info guix pages

From: Leo Famulari <[email-masked]>
Date: Tue, 19 Jan 2016 23:24:13 -0500

On Tue, Jan 19, 2016 at 04:45:12PM -0800, carl hansen wrote:
> On Tue, Jan 19, 2016 at 2:02 PM, Leo Famulari <[email-masked]> wrote:
> 
> > On Tue, Jan 19, 2016 at 12:17:32PM -0500, Thompson, David wrote:
> > > On Tue, Jan 19, 2016 at 4:34 AM, carl hansen <[email-masked]>
> > wrote:
> > > >
> > > > Yes, that is the case, there is no mystery, there is indeed a
> > > >  /root/.guix-profile/share/info/guix.info
> > > > and there is NOT a
> > > > ~user/.guix-profile/share/info/guix.info
> > > >
> >
> 
> snip snip
> 
> Ok I did, as suggested,
> guix package -i guix
> which I was afraid of, fearing some ouroboros strange loop destruction of
> the universe;
> fears unfounded, only curious effect was dozens or hundreds of
> 
> warning: collision encountered: /gnu/store/wfvxxpdhnzd59v ...
> warning: arbitrarily choosing /gnu/store/wfvxxpdhnzd59vkad1z...
> 
> type messages. Otherwise, seems to work.

That's not optimal. Those messages mean that of the store directories
linked to from your profile, more than one provide a given path.

For example, GNU Parallel and moreutils both have a path "bin/parallel":
/gnu/store/7ggbvsql79s5i05a3v8cbn48kdrzf7nc-parallel-20151222/bin/parallel
/gnu/store/ax4ppgzmx5cjqr813l3djgzhiniam1yz-moreutils-0.57/bin/parallel

If you install both in your profile, those two paths both become:
~/.guix-profile/bin/parallel

And so you get a warning and the conflict is resolved arbitrarily. You
can't have both of the "parallels" in your profile at once.

Were the conflicting paths related to Guix?

> 
> As suggested by Efraim Flashner  , add that command to the Binary install
> instructions.
> 
> Now, about your fine manual, on http://www.gnu.org/software/guix/manual/
> we see "last updated November 04, 2015"
> Please use a cronjob to update the manual nightly , or so, to the latest
> version. The universe will thank you.